## debian-installer 20230607+deb12u11devuan1

=== build/Makefile ===
#!/usr/bin/make -f
#
# Debian Installer system makefile.
# Copyright 2001-2003 by Joey Hess <joeyh@debian.org> and the d-i team.
# Licensed under the terms of the GPL.
#
# This makefile builds a debian-installer system and bootable images from 
# a collection of udebs which it downloads from a Debian archive. See
# README for details.
#
#
# General layout of our build directory hierarchy
#
# build/config/[<subarch>/][<medium>/][<flavour>/]<leaf-config>
# build/tmp/[<subarch>/][<medium>/][<flavour>/]<build-area>
# build/dest/[<subarch>/][<medium>/][<flavour>-]<images>
#
# Items in brackets can be left out if they are superfluous.
#
# These following <image> names are conventional.
#
# For small changeable media (floppies and the like):
# - boot.img, root.img, driver.img
#
# For single bootable images (e.g. tftp boot images):
# - boot.img
#
# For compressed single bootable images (harddisk or hd emulation):
# - boot.img.gz
#
# If those are not bootable:
# - root.img.gz
#
# Raw kernel images:
# - vmlinux or vmlinuz
#
# Example:
#
# dest/
# |-- cdrom-boot.img
# |-- floppy
# |   |-- access
# |   |   |-- boot.img
# |   |   |-- drivers.img
# |   |   `-- root.img
# |   |-- boot.img
# |   |-- cd-drivers.img
# |   |-- net-drivers.img
# |   `-- root.img
# |-- hd-media-boot.img.gz
# `-- netboot
#     |-- initrd.gz
#     `-- vmlinuz
#

# Temporary workaround for #823881:
export MTOOLS_SKIP_CHECK=1

# Temporary workaround for #1036019:
export DRM_DIR := /lib/modules/$(KERNELVERSION)/kernel/drivers/gpu/drm
ifndef DRM_MODULES
export DRM_MODULES :=          \
	drm_shmem_helper.ko    \
	drm_ttm_helper.ko      \
	drm_vram_helper.ko     \
	tiny/bochs.ko          \
	tiny/cirrus.ko         \
	ttm/ttm.ko
endif

# Add to PATH so dpkg will always work, and so local programs will be found.
PATH := util:$(PATH):/usr/sbin:/sbin
EATMYDATA = $(shell which eatmydata 2>/dev/null)

# We don't want this to be run each time we re-enter.
ifndef DEB_HOST_ARCH
DEB_HOST_ARCH = $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_ARCH_OS = $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
DEB_HOST_GNU_CPU = $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
DEB_HOST_GNU_SYSTEM = $(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM)
DEB_HOST_MULTIARCH = $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export DEB_HOST_ARCH DEB_HOST_ARCH_OS DEB_HOST_GNU_CPU DEB_HOST_GNU_SYSTEM DEB_HOST_MULTIARCH
endif

define drop_lang
	@echo "Dropping languages: $(1)"
	@set -e; \
	for FILE in $$(find $(TREE)/var/lib/dpkg -name "*.templates"); do \
		perl -e 'my $$status=0; my $$drop=shift; while (<>) { if (/^[A-Z]/ || /^$$/) { if (/^(Choices|Description|Indices|Default)-($$drop)/ && ! /^Choices-C:/) { $$status = 0 } else { $$status = 1 } } print if ($$status); }' $(1) < $$FILE > temp; \
		mv temp $$FILE; \
	done
endef

# We loop over all needed combinations of ARCH, SUBARCH, MEDIUM, FLAVOUR
# via recursive make calls. ARCH is constant, we don't support
# crosscompiling.
ARCH = $(DEB_HOST_ARCH)

# By default, we just advertise what we can do.
.PHONY: all
all: list

# Globally useful variables.
targetstring = $(patsubst _%,%,$(if $(SUBARCH),_$(SUBARCH),)$(if $(MEDIUM),_$(MEDIUM),)$(if $(FLAVOUR),_$(FLAVOUR),))
targetdirs = $(subst _,/,$(targetstring))

# Overridden in config/hurd.cfg
define genext2fs
  genext2fs -d $(TREE) -b `expr $$(du -s $(TREE) | cut -f 1) + $$(expr $$(find $(TREE) | wc -l) \* 2)` -m 0
endef

# Configurations for the varying ARCH, SUBARCH, MEDIUM, FLAVOUR.
# For simplicity, we use a similiar tree layout for config/, tmp/
# and dest/.
#
# Cheap trick: if one of the variables isn't defined, we run in
# a non-existing file and ignore it.
include config/common
include config/dir
-include config/$(ARCH).cfg
-include config/$(ARCH)/$(SUBARCH).cfg
-include config/$(ARCH)/$(SUBARCH)/$(MEDIUM).cfg
-include config/$(ARCH)/$(SUBARCH)/$(MEDIUM)/$(FLAVOUR).cfg
-include config/local

export KEYRING
export KERNELVERSION
export LOCALUDEBDIR
export SOURCE_DATE_EPOCH

ifneq ($(shell id -u),0)
  ROOTCMD ?= fakeroot
endif

# Useful command sequences
define submake
  $(ROOTCMD) $(MAKE) --no-print-directory -j1
endef

define recurse_once
  @set -e; $(submake) $(1)_$(2)
endef

define recurse_many
  @set -e; $(foreach var,$($(1)_SUPPORTED) $(if $(RECURSE_EXTRA),$($(1)_SUPPORTED_EXTRA)),$(submake) $(2)_$(3) $(1)=$(var);)
endef

define recurse
  $(if $($(1)_SUPPORTED)$(if $(RECURSE_EXTRA),$($(1)_SUPPORTED_EXTRA)),$(call recurse_many,$(1),$(2),$(3)),$(call recurse_once,$(2),$(3)))
endef

define mkinitramfs
  (cd $(TREE) && find . | sort | cpio --reproducible --quiet -o -H newc) >
endef

define clamp_mtimes
  find $(1) -newermt "@$(SOURCE_DATE_EPOCH)" -print0 | xargs -0r touch --no-dereference --date="@$(SOURCE_DATE_EPOCH)"
endef

define normalise_permissions
  find $(1) -type d -print0 | xargs -0r chmod $(DIR_MODE)
  find $(1) -not -type d -and -not -type l -print0 | xargs -0r chmod $(FILE_MODE)
endef

# Limit on mfsroot size. It is determined by NKPT (in <machine/pmap.h).
# On amd64, it can be increased by increasing this variable.  On i386,
# this is a hard limit due to constraints of 4 GiB VM space.
ifeq ($(DEB_HOST_ARCH),kfreebsd-i386)
MFSROOT_LIMIT := 42m
else ifeq ($(DEB_HOST_ARCH),kfreebsd-amd64)
# See Bug#783773 for derivation.
MFSROOT_LIMIT := 78m
endif

define mkfs.ufs1
  sh -c 'makefs -t ffs -T $(SOURCE_DATE_EPOCH) -s $(MFSROOT_LIMIT) -f 3000 -o minfree=0,version=1 $$0 ${TREE}'
endef

define e2fsck
  e2fsck -fy
endef

define gzip
  pigz -nm
endef

# Define MKFS_JFFS2 in the config file for your target.
# For example: MKFS_JFFS2 = mkfs.jffs2 -f -p -b -e 0x20000
define mkjffs2
  $(MKFS_JFFS2) -d $(TREE) -o
endef

# A generic recursion rule
.PHONY: all_%
all_%:
	@install -p -d $(STAMPS)
	$(call recurse,SUBARCH,subarch,$*)

.PHONY: subarch_%
subarch_%:
	$(call recurse,MEDIUM,medium,$*)

.PHONY: medium_%
medium_%:
	$(call recurse,FLAVOUR,flavour,$*)

.PHONY: flavour_%
flavour_%:
	$(if $(targetstring),@$(submake) _$*)

# Validate a targetstring, echo env variables for valid ones
.PHONY: validate_%
validate_%:
	@set -e; \
	SUBARCH= var='$(subst _, ,$(subst validate_,,$@))'; \
	tmp=$$(echo $$var |sed 's/[ ].*$$//'); \
	[ -z '$(SUBARCH_SUPPORTED)$(SUBARCH_SUPPORTED_EXTRA)' ] || [ -z "$$tmp" ] || [ -z "$$(echo $(SUBARCH_SUPPORTED) $(SUBARCH_SUPPORTED_EXTRA) |grep -w $$tmp)" ] || SUBARCH=$$tmp; \
	$(submake) medium_validate SUBARCH=$$SUBARCH var="$$var"

.PHONY: medium_validate
medium_validate:
	@set -e; \
	MEDIUM= var="$(strip $(patsubst $(SUBARCH)%,%,$(var)))"; \
	tmp=$$(echo $$var |sed 's/[ ].*$$//'); \
	[ -z '$(MEDIUM_SUPPORTED)$(MEDIUM_SUPPORTED_EXTRA)' ] || [ -z "$$tmp" ] || [ -z "$$(echo $(MEDIUM_SUPPORTED) $(MEDIUM_SUPPORTED_EXTRA) |grep -w $$tmp)" ] || MEDIUM=$$tmp; \
	$(submake) flavour_validate MEDIUM=$$MEDIUM var="$$var"

.PHONY: flavour_validate
flavour_validate:
	@set -e; \
	FLAVOUR= var="$(strip $(patsubst $(MEDIUM)%,%,$(var)))"; \
	tmp=$$(echo $$var |sed 's/[ ].*$$//'); \
	[ -z '$(FLAVOUR_SUPPORTED)$(FLAVOUR_SUPPORTED_EXTRA)' ] || [ -z "$$tmp" ] || [ -z "$$(echo $(FLAVOUR_SUPPORTED) $(FLAVOUR_SUPPORTED_EXTRA) | grep -w $$tmp)" ] || FLAVOUR=$$tmp; \
	$(submake) finish_validate FLAVOUR=$$FLAVOUR var="$$var"

.PHONY: finish_validate
finish_validate:
	@set -e; \
	var="$(strip $(patsubst $(FLAVOUR)%,%,$(var)))"; \
	if [ -z "$$var" ]; then \
		echo SUBARCH=$$SUBARCH MEDIUM=$$MEDIUM FLAVOUR=$$FLAVOUR; \
	else \
		echo SUBARCH= MEDIUM= FLAVOUR=; \
	fi;


# List all targets useful for direct invocation.
.PHONY: list
list:
	@echo "Useful targets:"
	@echo
	@echo "list"
	@echo "all_build"
	@echo "all_rebuild"
	@echo "stats"
	@echo "all_clean"
	@echo "reallyclean"
	@echo
	@$(submake) all_list RECURSE_EXTRA=1

.PHONY: _list
_list:
	@set -e; \
	echo build_$(targetstring); \
	echo stats_$(targetstring); \
	$(if $(findstring $(MEDIUM),$(WRITE_MEDIA)),echo write_$(targetstring);) \
	echo clean_$(targetstring); \
	echo rebuild_$(targetstring); \
	echo demo_$(targetstring); \
	echo shell_$(targetstring); \
	echo uml_$(targetstring); \
	echo qemu_$(targetstring); \
	echo


# Clean all targets.
.PHONY: reallyclean
reallyclean: all_clean
	for png in $(shell awk -F= '/^SPLASH_PNG=/ {print $$2}' config/*.cfg); do if [ -f $${png%%.png}.svg ]; then rm -f $$png; fi; done
	rm -rf $(APTDIR) $(APTDIR).udeb $(APTDIR).deb $(BASE_DEST) $(BASE_TMP) $(SOURCEDIR) $(DEBUGUDEBDIR)
	rm -f sources.list sources.list.udeb $(LOCALUDEBDIR)/Packages.gz $(LOCALUDEBDIR)/Packages
	rm -rf $(UDEBDIR) $(STAMPS)

# For manual invocation, we provide a generic clean rule.
.PHONY: clean_%
clean_%:
	@$(submake) _clean $(shell $(submake) $(subst clean_,validate_,$@))
	update-manifest

# The general clean rule.
.PHONY: _clean
_clean: tree_umount
	@[ -n "$(SUBARCH) $(MEDIUM) $(FLAVOUR)" ] || { echo "invalid target"; false; }
	-rm -f $(STAMPS)tree-unpack-$(targetstring)-stamp $(STAMPS)tree-$(targetstring)-stamp $(STAMPS)extra-$(targetstring)-stamp $(STAMPS)get_udebs-$(targetstring)-stamp
	rm -f $(TEMP)/diskusage.txt
	rm -f $(TEMP)/all.utf
	rm -f $(TEMP)/unifont.bdf $(TREE)/lib/unifont.bgf
	rm -f pkg-lists/standard-udebs pkg-lists/kernel-module-udebs
	rm -rf $(TARGET)
	rm -rf $(TEMP)

# all_build is provided automagically, but for manual invocation
# we provide a generic build rule.
.PHONY: build_%
build_%:
	@install -p -d $(STAMPS)
	@$(submake) _build $(shell $(submake) $(subst build_,validate_,$@))

# The general build rule.
.PHONY: _build
_build:
	@[ -n "$(SUBARCH) $(MEDIUM) $(FLAVOUR)" ] || { echo "invalid target"; false; }
	@$(submake) tree_umount $(EXTRATARGETS) $(TARGET)
	# Ensure build results have reproducible mtimes
	@$(clamp_mtimes) $(BASE_DEST)

# Convenience rules to clean and build.
.PHONY: rebuild_%
rebuild_%:
	@$(submake) clean_$(subst rebuild_,,$@) build_$(subst rebuild_,,$@)

.PHONY: _rebuild
_rebuild:
	@$(submake) _clean _build

# Run before releasing built files.
release:
	egrep '^[[:space:]]' $(BASE_DEST)/MANIFEST.udebs | \
		sed 's/^[[:space:]]*//' | sort | uniq > $(BASE_DEST)/udeb.list
	rm -f $(BASE_DEST)/MD5SUMS $(BASE_DEST)/SHA256SUMS
	cd $(BASE_DEST) && md5sum `find -L . -type f | sort` > MD5SUMS # XXX remove this
	cd $(BASE_DEST) && sha256sum `find -L . -type f | sort` > SHA256SUMS
	# We have just modified files
	$(clamp_mtimes) $(BASE_DEST)
	$(normalise_permissions) $(BASE_DEST)

# The general tree target.
$(STAMPS)tree-unpack-$(targetstring)-stamp: $(STAMPS)get_udebs-$(targetstring)-stamp
	dh_testroot
	@[ -d ../debian ] || { echo "directory '../debian' not found; complete source of 'debian-installer' package is required"; false; }
	cd .. && dpkg-checkbuilddeps
	@rm -f $@

	# This build cannot be restarted, because dpkg gets confused.
	rm -rf $(TREE)
	# Set up the basic files [u]dpkg needs.
	mkdir -p $(DPKGDIR)/info
	touch $(DPKGDIR)/status
	# Create a tmp tree
	mkdir -p $(TREE)/tmp
	# Only dpkg needs this stuff, so it can be removed later.
	mkdir -p $(DPKGDIR)/updates/
	touch $(DPKGDIR)/available

ifdef TRANSSTATUS
	# Include translation status file; warn if older than 2 weeks.
	# Do this first to make possible warnings more visible.
	@echo; \
	if [ -f "$(TRANSSTATUS)" ]; then \
		if [ "$(USE_PROPOSED_UPDATES)" != 1 ]; then \
			olddate=$$(grep "^# Generated on:" $(TRANSSTATUS) | sed "s/.*: //"); \
			if [ "$$olddate" ]; then \
				if [ $$(( $$(date -u "+%s") - \
				          $$(date -d "$$olddate" "+%s") \
				       )) -gt 1209600 ]; then \
					echo "WARNING: The data in '$(TRANSSTATUS)' is older than 2 weeks."; \
					echo "         Should it maybe be updated?"; \
					sleep 15; \
				fi; \
			else \
				echo "WARNING: no timestamp found in $(TRANSSTATUS)."; \
				sleep 15; \
			fi; \
		fi; \
		mkdir -p $(TREE)/usr/share/localechooser; \
		cp $(TRANSSTATUS) $(TREE)/usr/share/localechooser/translation-status; \
	else \
		echo "WARNING: the file $(TRANSSTATUS) does not exist."; \
		sleep 5; \
	fi
endif

	# Unpack the udebs with dpkg. This command must run as root
	# or fakeroot.
	echo -n > $(TEMP)/diskusage.txt
	set -e; \

=== debian/control ===
Source: debian-installer
Section: devel
Priority: optional
Maintainer: Devuan Maintainers <devuan-dev@lists.dyne.org>
Uploaders: Daniel Reurich <daniel@centurion.net.nz>, Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>, Mark (LeePen) Hindley <mark@hindley.org.uk>
Standards-Version: 4.3.0
Vcs-Git: git://git.devuan.org/devuan/debian-installer.git
Vcs-Browser: https://git.devuan.org/devuan/debian-installer/
Origin: Devuan
Build-Depends:
# Base build dependencies:
	debhelper (>= 11),
#		Of course.
	apt (>= 0.8.16),
# 		Used for downloading udebs.
	apt-utils,
# 		apt-ftparchive is used for including localudebs.
	gnupg,
#		New versions of apt need gnupg for security checks.
	devuan-keyring (>= 2016.11.22),
#		To provide the archive key for security checks.
	dctrl-tools,
#		Various manipulations of the udeb Packages files.
	wget,
#		Used to test validity of mirrors.
	bc,
#		Used for some image size calculations.
	xsltproc,
	docbook-xml,
	docbook-xsl,
#		The d-i partman-doc and internals manual is in DocBook XML 4.x.
	unifont-bin,
#		For hex2bdf used in font building.
	bogl-utils,
#		For bdftobogl used in font reduction.
	libgcc-s1 [!hppa !m68k], libgcc-s2 [m68k], libgcc-s4 [hppa],
#		The GCC support library is copied to the to the installation
#		image. This is a hack and needs to be replaced by a proper
#		udeb.
#
# Filesystem tools:
	genext2fs (>= 1.3-7.1),
#		For creating ext2 filesystems without being root.
#		1.3-7.1 fixes issues on several arches.
	e2fsprogs,
#		genext2fs doesn't produce perfect filesystems, so we fsck
#		them.
#		Lintian: Yes, we know it's essential. We prefer not to
#		count on it remaining so.
	genisoimage [!s390 !s390x],
#		For making mini isos.
	genromfs [sparc sparc64],
#		Used for creating sparc floppies (which are not built by
#		default.)
	dosfstools [hurd-i386 i386 ia64 m68k amd64 armhf arm64],
#		For creating FAT filesystems with mkfs.msdos.
#		Of course i386/amd64 use this for floppies, CDs etc.
#		m68k uses it for atari floppies
#		armhf uses it for building bootable SD card images
	cpio (>= 2.11+dfsg-6),
#		For creating (reproducible) initramfs images.
	pigz,
#		For compressing various files.
	xz-utils,
#		For compressing initramfs images.
	devio [armeb armel],
#		Tool to read and write from block devices, used to byteswap
#		kernels and add nslu2 boot magic.
	dns323-firmware-tools (>= 0.7.3-1~) [armel],
#		For building firmware images for the D-Link DNS-32(0|3).
	u-boot-tools [armel armhf arm64],
#		For creating u-boot images
	depthcharge-tools [amd64 arm64],
#		For creating images for ChromeOS devices
#
# Boot loaders:
#	On many arches boot loaders are copied onto or ran on the boot
#	images in one way or another. There's a reason our mailing list is
#	still called debian-boot..
	syslinux [i386 amd64],
	syslinux-utils [i386 amd64],
	isolinux [i386 amd64],
	pxelinux [i386 amd64],
	syslinux-common (>= 3:6) [i386 amd64],
#		With isohybrid.
	aboot (>= 0.9b-2) [alpha],
#		A previous version didn't have netabootwrap.
	palo [hppa],
#		Bootloader for hppa machines, to make netboot images.
	sparc-utils [sparc sparc64],
#		For elftoaout and piggyback, to make netboot images.
	atari-bootstrap [m68k],
#		Booting and other tools for Atari systems.
	vmelilo [m68k],
	m68k-vme-tftplilo [m68k],
#		For VME machines, although it doesn't yet support running
#		as non-root, the install will try to use it and fall back
#		to a warning when it fails.
	amiboot [m68k],
#		Bootloader for m68k/amiga machines.
	emile [m68k],
	emile-bootblocks [m68k],
#		Bootloader for m68k/mac machines.
	shim-signed [amd64 i386 arm64],
	grub-efi-amd64-signed [amd64],
	grub-efi-ia32-signed [i386],
	grub-efi-arm64-signed [arm64],
#	        Signed bootloader components for UEFI Secure Boot
	grub-efi-arm64-bin [arm64],
	grub-efi-ia32-bin [hurd-i386 i386],
	grub-efi-ia64-bin [ia64],
	grub-efi-arm-bin [armhf],
	grub-common [amd64 arm64 i386], xorriso,
#		Used to make EFI bootable images
	grub-ieee1275-bin [powerpc ppc64 ppc64el sparc sparc64],
#		IEEE1275 bootloader support.
	u-boot-imx (>= 2021.04~rc4+dfsg-1~) [armhf],
	u-boot-omap (>= 2016.09~rc1) [armhf],
	u-boot-sunxi (>= 2019.07+dfsg-1~) [armhf],
	u-boot-sunxi (>= 2021.01+dfsg-1~) [arm64],
	u-boot-rockchip (>= 2020.04+dfsg-1~) [armhf],
	u-boot-rockchip (>= 2021.01+dfsg-1~) [arm64],
#		U-boot binaries for armhf systems without u-boot in flash memory
	arm-trusted-firmware [arm64],
	device-tree-compiler [arm64],
#		arm-trusted-firmware for allwinner, used in combination with
#		u-boot-sunxi to produce bootable arm64 images.
	u-boot (>= 2016.01+dfsg1-1~) [armel],
#		U-boot binaries for armel systems
#
# Architecture specific build dependencies:
	tofrodos [i386 amd64 kfreebsd-i386 kfreebsd-amd64],
#		For todos, used on files that need to be accessible from
#		DOS.
	mtools [i386 ia64 m68k amd64 armhf arm64 kfreebsd-i386 kfreebsd-amd64 hurd-i386],
#		mcopy is used to put files onto FAT filesystems w/o
#		mounting them. Note that patches from #900409 and #900410
#		are required for a reproducible build (available since
#		4.0.18-2.1).
#
	kmod [linux-any],
#		depmod.
#
	unifont [!s390 !s390x],
#		Contains the unicode font we use. Not a udeb since we
#		perform font reduction at build time.
	openssl,
#		Used to encrypt a firmware image so an ARM based device
#		(Thecus N2100) will accept it. Also useful on other
#		architectures if SSL_CERTS has been set locally.
	win32-loader (>= 0.7.2) [i386 amd64 kfreebsd-i386 kfreebsd-amd64 hurd-i386],
#		Alternative boot method for win32 platforms.
	makefs (>= 20100306-5+kbsd8u1~) [kfreebsd-any],
#		Used to create an UFS1 filesystem from a directory tree.
	grub-pc (>= 2.02~beta2~) [kfreebsd-i386 kfreebsd-amd64 hurd-i386],
#		Used as the CD-ROM's bootloader
	xorriso (>= 1.3.2-1~) [kfreebsd-i386 kfreebsd-amd64 hurd-i386],
#               Used by grub-pc to create the CD-ROM images
	devuan-keyring [sh4 sparc64],
#		Used for architectures hosted on debian-ports.org
	librsvg2-bin [any-amd64 any-i386],
#		Used to convert splash SVG to splash PNG during build
	fdisk [amd64 arm64 armhf i386],
#		sfdisk is used by util/gen-hd-image when creating SD card
#		images for arm64 and armhf systems.
#		fdisk is used is used by util/geniso_hybrid_plus_firmware_partition
#		when creating ISO hybrid images on amd64 and i386 systems.
	fontconfig,
#		Used to generate a font cache through fc-cache, for gtk flavours
	linux-image-6.1.0-35-amd64 [amd64],
	linux-image-6.1.0-35-arm64 [arm64],
	linux-image-6.1.0-35-686 [i386],
	linux-image-6.1.0-35-686-pae [i386],
#		Ship some more drm modules, without waiting on fb-modules (#1036019)

Package: debian-installer
Architecture: any
Depends: ${misc:Depends}
Description: Devuan's debian installer
 This package currently only contains some documentation for the Devuan version
 of the debian installer. We welcome suggestions about what else to put in it.

## debian-installer 20230607+deb12u12

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: debian-installer
 Section: devel
 Priority: optional
-Maintainer: Devuan Maintainers <devuan-dev@lists.dyne.org>
-Uploaders: Daniel Reurich <daniel@centurion.net.nz>, Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>, Mark (LeePen) Hindley <mark@hindley.org.uk>
+Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Uploaders: Cyril Brulebois <kibi@debian.org>
 Standards-Version: 4.3.0
-Vcs-Git: git://git.devuan.org/devuan/debian-installer.git
-Vcs-Browser: https://git.devuan.org/devuan/debian-installer/
-Origin: Devuan
+Vcs-Git: https://salsa.debian.org/installer-team/debian-installer.git
+Vcs-Browser: https://salsa.debian.org/installer-team/debian-installer
 Build-Depends:
 # Base build dependencies:
 	debhelper (>= 11),
@@ -17,7 +16,7 @@
 # 		apt-ftparchive is used for including localudebs.
 	gnupg,
 #		New versions of apt need gnupg for security checks.
-	devuan-keyring (>= 2016.11.22),
+	debian-archive-keyring (>= 2006.11.22),
 #		To provide the archive key for security checks.
 	dctrl-tools,
 #		Various manipulations of the udeb Packages files.
@@ -156,7 +155,7 @@
 #		Used as the CD-ROM's bootloader
 	xorriso (>= 1.3.2-1~) [kfreebsd-i386 kfreebsd-amd64 hurd-i386],
 #               Used by grub-pc to create the CD-ROM images
-	devuan-keyring [sh4 sparc64],
+	debian-ports-archive-keyring [alpha hppa ia64 m68k powerpc powerpcspe ppc64 riscv64 sh4 sparc64 x32],
 #		Used for architectures hosted on debian-ports.org
 	librsvg2-bin [any-amd64 any-i386],
 #		Used to convert splash SVG to splash PNG during build
@@ -167,15 +166,16 @@
 #		when creating ISO hybrid images on amd64 and i386 systems.
 	fontconfig,
 #		Used to generate a font cache through fc-cache, for gtk flavours
-	linux-image-6.1.0-35-amd64 [amd64],
-	linux-image-6.1.0-35-arm64 [arm64],
-	linux-image-6.1.0-35-686 [i386],
-	linux-image-6.1.0-35-686-pae [i386],
+	linux-image-6.1.0-39-amd64 [amd64],
+	linux-image-6.1.0-39-arm64 [arm64],
+	linux-image-6.1.0-39-686 [i386],
+	linux-image-6.1.0-39-686-pae [i386],
 #		Ship some more drm modules, without waiting on fb-modules (#1036019)
 
 Package: debian-installer
 Architecture: any
+Built-Using: ${initrd:Built-Using}, ${extra:Built-Using}
 Depends: ${misc:Depends}
-Description: Devuan's debian installer
- This package currently only contains some documentation for the Devuan version
- of the debian installer. We welcome suggestions about what else to put in it.
+Description: Debian Installer documentation
+ This package currently only contains some documentation for the Debian
+ installer. We welcome suggestions about what else to put in it.

## debian-installer 20230607+deb12u13

=== debian/changelog ===
debian-installer (20230607+deb12u13) bookworm; urgency=medium

  * Bump Linux kernel ABI to 6.1.0-42.
  * Adjust linux-image build-deps as well.

 -- Cyril Brulebois <kibi@debian.org>  Mon, 05 Jan 2026 19:38:21 +0100

=== debian/control ===
--- 
+++ 
@@ -166,10 +166,10 @@
 #		when creating ISO hybrid images on amd64 and i386 systems.
 	fontconfig,
 #		Used to generate a font cache through fc-cache, for gtk flavours
-	linux-image-6.1.0-39-amd64 [amd64],
-	linux-image-6.1.0-39-arm64 [arm64],
-	linux-image-6.1.0-39-686 [i386],
-	linux-image-6.1.0-39-686-pae [i386],
+	linux-image-6.1.0-42-amd64 [amd64],
+	linux-image-6.1.0-42-arm64 [arm64],
+	linux-image-6.1.0-42-686 [i386],
+	linux-image-6.1.0-42-686-pae [i386],
 #		Ship some more drm modules, without waiting on fb-modules (#1036019)
 
 Package: debian-installer

## debian-installer 20230607+deb12u13devuan1

=== debian/changelog ===
debian-installer (20230607+deb12u13devuan1) daedalus; urgency=medium

  * Merge tag 20230607+deb12u13.

 -- Mark Hindley <mark@hindley.org.uk>  Tue, 13 Jan 2026 08:18:41 +0000

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: debian-installer
 Section: devel
 Priority: optional
-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
-Uploaders: Cyril Brulebois <kibi@debian.org>
+Maintainer: Devuan Maintainers <devuan-dev@lists.dyne.org>
+Uploaders: Daniel Reurich <daniel@centurion.net.nz>, Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>, Mark (LeePen) Hindley <mark@hindley.org.uk>
 Standards-Version: 4.3.0
-Vcs-Git: https://salsa.debian.org/installer-team/debian-installer.git
-Vcs-Browser: https://salsa.debian.org/installer-team/debian-installer
+Vcs-Git: git://git.devuan.org/devuan/debian-installer.git
+Vcs-Browser: https://git.devuan.org/devuan/debian-installer/
+Origin: Devuan
 Build-Depends:
 # Base build dependencies:
 	debhelper (>= 11),
@@ -16,7 +17,7 @@
 # 		apt-ftparchive is used for including localudebs.
 	gnupg,
 #		New versions of apt need gnupg for security checks.
-	debian-archive-keyring (>= 2006.11.22),
+	devuan-keyring (>= 2016.11.22),
 #		To provide the archive key for security checks.
 	dctrl-tools,
 #		Various manipulations of the udeb Packages files.
@@ -155,7 +156,7 @@
 #		Used as the CD-ROM's bootloader
 	xorriso (>= 1.3.2-1~) [kfreebsd-i386 kfreebsd-amd64 hurd-i386],
 #               Used by grub-pc to create the CD-ROM images
-	debian-ports-archive-keyring [alpha hppa ia64 m68k powerpc powerpcspe ppc64 riscv64 sh4 sparc64 x32],
+	devuan-keyring [sh4 sparc64],
 #		Used for architectures hosted on debian-ports.org
 	librsvg2-bin [any-amd64 any-i386],
 #		Used to convert splash SVG to splash PNG during build
@@ -174,8 +175,7 @@
 
 Package: debian-installer
 Architecture: any
-Built-Using: ${initrd:Built-Using}, ${extra:Built-Using}
 Depends: ${misc:Depends}
-Description: Debian Installer documentation
- This package currently only contains some documentation for the Debian
- installer. We welcome suggestions about what else to put in it.
+Description: Devuan's debian installer
+ This package currently only contains some documentation for the Devuan version
+ of the debian installer. We welcome suggestions about what else to put in it.

## debian-installer 20230607+parrot4

=== debian/changelog ===
debian-installer (20230607+parrot4) lory; urgency=medium

  * Bump kernel version 6.9.7.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 01 Aug 2024 18:28:33 +0200

debian-installer (20230607+parrot3) lory; urgency=medium

  * Rebuild installer with new udebs.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Mon, 27 May 2024 04:30:38 +0200

debian-installer (20230607+parrot2) lory-updates; urgency=medium

  * Use unsigned kernel and grub for i386.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 25 Jan 2024 04:06:26 +0100

debian-installer (20230607+parrot1) lory; urgency=medium

  * Import new Debian release.
  * Apply new parrot preseed.
  * Apply new grub splash background.
  * Disable secure boot (we don't support it).
  * Prepare for Parrot 6.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Mon, 22 Jan 2024 03:21:14 +0100

debian-installer (20210731+parrot12) parrot; urgency=medium

  * Bump linux kernel ABI to 6.1.0-1parrot1.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 27 Apr 2023 02:47:00 +0200

debian-installer (20210731+parrot11) parrot; urgency=medium

  * Bump linux kernel ABI to 6.0.0-12parrot1.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Mon, 16 Jan 2023 19:18:23 +0100

debian-installer (20210731+parrot10) parrot; urgency=medium

  * Bump linux kernel ABI to 6.0.0-2parrot1.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 27 Oct 2022 22:22:54 +0200

debian-installer (20210731+parrot9) parrot; urgency=medium

  * Bump linux kernel ABI to 5.18.0-14parrot1.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Mon, 08 Aug 2022 03:38:07 +0200

debian-installer (20210731+parrot8) parrot; urgency=medium

  * Bump linux kernel ABI to 5.18.0-1parrot1.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Wed, 27 Jul 2022 15:58:58 +0200

debian-installer (20210731+parrot7) parrot; urgency=medium

  * Bump Linux kernel ABI to 5.16.0-12parrot1.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Sun, 13 Mar 2022 23:24:29 +0100

debian-installer (20210731+parrot6) parrot; urgency=medium

  * Bump Linux kernel ABI to 5.15.0-15parrot1.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Tue, 22 Feb 2022 20:26:16 +0100

debian-installer (20210731+parrot5) parrot-updates; urgency=medium

  * Rebuild using new udebs.
  * Update preseed.cfg

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Mon, 31 Jan 2022 17:05:04 +0100

debian-installer (20210731+parrot4) parrot-updates; urgency=medium

  * Rebuild using new udebs.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Fri, 28 Jan 2022 16:31:21 +0100

debian-installer (20210731+parrot3) parrot-updates; urgency=medium

  * Rebuild package to include updated udebs
    + rootskel-gtk - fixes dark theme.
    + netcfg - fixes default hostname.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Fri, 14 Jan 2022 01:16:18 +0100

debian-installer (20210731+parrot2) parrot-updates; urgency=medium

  * Rebuild package.
  * Fix typo.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Sat, 08 Jan 2022 00:23:41 +0100

debian-installer (20210731+parrot1) lts-updates; urgency=medium

  * Import new Debian release.
  * Update bootloader background.
  * Use choose direct downloads from parrot servers.
  * Bump Linux kernel ABI to 5.15.0-5parrot1.
  * Update preseed.
  * Disable secure boot (we don't support it yet).
  * Use Parrot 5.0 repo.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Fri, 07 Jan 2022 20:13:24 +0100

debian-installer (20200529+parrot7) rolling; urgency=medium

  * Bump new kernel version (5.10.28-6parrot1).

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Tue, 13 Apr 2021 15:59:54 +0200

debian-installer (20200529+parrot6) rolling; urgency=medium

  * Bump new kernel version (5.10.24-5parrot1).

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Mon, 22 Mar 2021 10:04:08 +0100

debian-installer (20200529+parrot5) rolling; urgency=medium

  * Bump new kernel version (5.10.13-3parrot1).

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Tue, 16 Mar 2021 03:59:58 +0100

debian-installer (20200529+parrot4) rolling; urgency=medium

  * Bump new kernel version (5.9.6-2parrot1).

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Wed, 25 Nov 2020 16:59:20 +0100

debian-installer (20200529+parrot3) rolling; urgency=medium

  * Use proper kernel version.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Fri, 07 Aug 2020 20:47:15 +0200

debian-installer (20200529+parrot2) rolling; urgency=medium

  * Bump new kernel version (5.7.10-1parrot2).

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Fri, 07 Aug 2020 18:50:09 +0200

debian-installer (20200529+parrot1) rolling; urgency=medium

  * Import new Debian release.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Tue, 23 Jun 2020 17:57:39 +0200

debian-installer (20200423+parrot4) rolling; urgency=medium

  * Bump new kernel version (5.6.0-2parrot1)

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Fri, 05 Jun 2020 16:23:11 +0200

debian-installer (20200423+parrot3) rolling; urgency=medium

  * Rebuild using latest debootstrap.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Tue, 28 Apr 2020 22:41:47 +0200

debian-installer (20200423+parrot2) rolling; urgency=medium

  * Fix dirty line in d/rules.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Sun, 26 Apr 2020 02:53:09 +0200

debian-installer (20200423+parrot1) rolling; urgency=medium

  * Import new Debian release.
  * Buuild for Linux Kernel 5.5.0-1parrot1.
  * Build with new udebs.
  * Update preseed file. 

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Sat, 25 Apr 2020 23:30:44 +0200

debian-installer (1:20190702+parrot18) rolling; urgency=medium

  * Rebuild installer using new udebs.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Sat, 25 Apr 2020 02:34:52 +0200



=== debian/control ===
--- 
+++ 
@@ -1,12 +1,9 @@
 Source: debian-installer
 Section: devel
 Priority: optional
-Maintainer: Devuan Maintainers <devuan-dev@lists.dyne.org>
-Uploaders: Daniel Reurich <daniel@centurion.net.nz>, Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>, Mark (LeePen) Hindley <mark@hindley.org.uk>
+Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
+Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
 Standards-Version: 4.3.0
-Vcs-Git: git://git.devuan.org/devuan/debian-installer.git
-Vcs-Browser: https://git.devuan.org/devuan/debian-installer/
-Origin: Devuan
 Build-Depends:
 # Base build dependencies:
 	debhelper (>= 11),
@@ -17,7 +14,7 @@
 # 		apt-ftparchive is used for including localudebs.
 	gnupg,
 #		New versions of apt need gnupg for security checks.
-	devuan-keyring (>= 2016.11.22),
+	debian-archive-keyring (>= 2006.11.22),
 #		To provide the archive key for security checks.
 	dctrl-tools,
 #		Various manipulations of the udeb Packages files.
@@ -101,11 +98,11 @@
 	emile [m68k],
 	emile-bootblocks [m68k],
 #		Bootloader for m68k/mac machines.
-	shim-signed [amd64 i386 arm64],
-	grub-efi-amd64-signed [amd64],
-	grub-efi-ia32-signed [i386],
-	grub-efi-arm64-signed [arm64],
-#	        Signed bootloader components for UEFI Secure Boot
+	shim-unsigned [amd64 i386 arm64],
+	grub-efi-amd64 [amd64],
+	grub-efi-ia32 [i386],
+	grub-efi-arm64 [arm64],
+#	        Unigned bootloader components (Parrot does not support secure boot)
 	grub-efi-arm64-bin [arm64],
 	grub-efi-ia32-bin [hurd-i386 i386],
 	grub-efi-ia64-bin [ia64],
@@ -156,7 +153,7 @@
 #		Used as the CD-ROM's bootloader
 	xorriso (>= 1.3.2-1~) [kfreebsd-i386 kfreebsd-amd64 hurd-i386],
 #               Used by grub-pc to create the CD-ROM images
-	devuan-keyring [sh4 sparc64],
+	debian-ports-archive-keyring [alpha hppa ia64 m68k powerpc powerpcspe ppc64 riscv64 sh4 sparc64 x32],
 #		Used for architectures hosted on debian-ports.org
 	librsvg2-bin [any-amd64 any-i386],
 #		Used to convert splash SVG to splash PNG during build
@@ -167,15 +164,17 @@
 #		when creating ISO hybrid images on amd64 and i386 systems.
 	fontconfig,
 #		Used to generate a font cache through fc-cache, for gtk flavours
-	linux-image-6.1.0-42-amd64 [amd64],
-	linux-image-6.1.0-42-arm64 [arm64],
-	linux-image-6.1.0-42-686 [i386],
-	linux-image-6.1.0-42-686-pae [i386],
+	linux-image-amd64 [amd64],
+	linux-image-arm64 [arm64],
+	linux-image-686 [i386],
+	linux-image-686-pae [i386],
 #		Ship some more drm modules, without waiting on fb-modules (#1036019)
+	parrot-archive-keyring,
 
 Package: debian-installer
 Architecture: any
+Built-Using: ${initrd:Built-Using}, ${extra:Built-Using}
 Depends: ${misc:Depends}
-Description: Devuan's debian installer
- This package currently only contains some documentation for the Devuan version
- of the debian installer. We welcome suggestions about what else to put in it.
+Description: Debian Installer documentation
+ This package currently only contains some documentation for the Debian
+ installer. We welcome suggestions about what else to put in it.

=== debian/rules ===
#! /usr/bin/make -f

ARCH=$(shell dpkg-architecture -qDEB_HOST_ARCH)
VERSION=$(shell LC_ALL=C dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
DATE=$(shell echo $(VERSION) | cut -d '.' -f 1)
SOURCE_DATE_EPOCH = $(shell date -d "$$(dpkg-parsechangelog -SDate)" +%s)
SUITE=$(shell LC_ALL=C dpkg-parsechangelog | grep ^Distribution: | cut -d ' ' -f 2)

# Daily builds vs. uploads to unstable:
ifeq (${SUITE},UNRELEASED)
USE_UDEBS_FROM=unstable
TRANSSTATUS=
BOOTMENU_BEEP=n
else
USE_UDEBS_FROM=lory
USE_PROPOSED_UPDATES=0
TRANSSTATUS=
BOOTMENU_BEEP=y
endif

# Adjust for non-released ports if needed:
RELEASE_ARCHES=amd64 arm64 armel armhf i386 mips mips64el mipsel ppc64el s390x
ifeq (,$(filter $(ARCH), $(RELEASE_ARCHES)))
USE_UNRELEASED=1
USE_UDEBS_FROM=unstable
USE_PROPOSED_UPDATES=0
endif

ARCHIVEDIR=debian/tmp/installer-$(ARCH)
DESTDIR=$(ARCHIVEDIR)/$(DATE)
IMAGEDIR=$(DESTDIR)/images
TARNAME=debian-installer-images_$(VERSION)_$(ARCH).tar.gz

export SOURCE_DATE_EPOCH

clean:
	dh_testdir
	dh_testroot
	dh_clean
	$(MAKE) -C build reallyclean
	$(MAKE) -C doc/devel/partman clean
	$(MAKE) -C doc/devel/internals clean

# Must run as root, so is not run as part of regular build.
build-images:
	$(MAKE) -C build all_build stats release \
		USE_UDEBS_FROM=$(USE_UDEBS_FROM) BUILD_DATE=$(DATE) \
		USE_PROPOSED_UPDATES=$(USE_PROPOSED_UPDATES) \
		USE_UNRELEASED=$(USE_UNRELEASED) \
		TRANSSTATUS=$(TRANSSTATUS) BOOTMENU_BEEP=$(BOOTMENU_BEEP)

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp

build-stamp:
	rm -f $@
	$(MAKE) -C doc/devel/internals
	$(MAKE) -C doc/devel/partman
	touch $@

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	debian/rules build-images

	install -d $(IMAGEDIR)
	cp -a build/dest/* $(IMAGEDIR)
	ln -s $(DATE) $(ARCHIVEDIR)/current

binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs doc/* -X Makefile -X build.sh -X .xsl \
		-X internals.xml -X partman-doc.dbk -X .gitignore
	dh_compress
	dh_fixperms

	./build/util/write-built-using

	dh_gencontrol
	dh_md5sums
	dh_builddeb
	./build/util/gen-tarball debian/tmp ../$(TARNAME)
	dpkg-distaddfile $(TARNAME) raw-installer -

binary-indep:

binary: binary-indep binary-arch
.PHONY: build build-images clean binary-indep binary-arch binary install

## debian-installer 20240914

=== build/Makefile ===
--- 
+++ 
@@ -95,6 +95,7 @@
 # via recursive make calls. ARCH is constant, we don't support
 # crosscompiling.
 ARCH = $(DEB_HOST_ARCH)
+OS = $(DEB_HOST_ARCH_OS)
 
 # By default, we just advertise what we can do.
 .PHONY: all
@@ -118,6 +119,7 @@
 include config/common
 include config/dir
 -include config/$(ARCH).cfg
+-include config/$(OS).cfg
 -include config/$(ARCH)/$(SUBARCH).cfg
 -include config/$(ARCH)/$(SUBARCH)/$(MEDIUM).cfg
 -include config/$(ARCH)/$(SUBARCH)/$(MEDIUM)/$(FLAVOUR).cfg
@@ -160,20 +162,6 @@
 define normalise_permissions
   find $(1) -type d -print0 | xargs -0r chmod $(DIR_MODE)
   find $(1) -not -type d -and -not -type l -print0 | xargs -0r chmod $(FILE_MODE)
-endef
-
-# Limit on mfsroot size. It is determined by NKPT (in <machine/pmap.h).
-# On amd64, it can be increased by increasing this variable.  On i386,
-# this is a hard limit due to constraints of 4 GiB VM space.
-ifeq ($(DEB_HOST_ARCH),kfreebsd-i386)
-MFSROOT_LIMIT := 42m
-else ifeq ($(DEB_HOST_ARCH),kfreebsd-amd64)
-# See Bug#783773 for derivation.
-MFSROOT_LIMIT := 78m
-endif
-
-define mkfs.ufs1
-  sh -c 'makefs -t ffs -T $(SOURCE_DATE_EPOCH) -s $(MFSROOT_LIMIT) -f 3000 -o minfree=0,version=1 $$0 ${TREE}'
 endef
 
 define e2fsck
@@ -384,3 +372,11 @@
 	# or fakeroot.
 	echo -n > $(TEMP)/diskusage.txt
 	set -e; \
+	oldsize=0; oldblocks=0; oldcount=0; for udeb in $(UDEBDIR)/*.udeb ; do \
+		if [ -f "$$udeb" ]; then \
+			pkg=`basename $$udeb` ; \
+			$(EATMYDATA) dpkg $(DPKG_UNPACK_OPTIONS) --path-include='*' --log=/dev/null --root=$(TREE) --unpack $$udeb ; \
+			newsize=`du -bs $(TREE) | awk '{print $$1}'` ; \
+			newblocks=`du -s $(TREE) | awk '{print $$1}'` ; \
+			newcount=`find $(TREE) -type f | wc -l | awk '{print $$1}'` ; \
+			usedsize=`echo $$newsize - $$oldsize | bc`; \

=== debian/changelog ===
debian-installer (20240914) unstable; urgency=medium

  [ Cyril Brulebois ]
  * Install trixie, using trixie udebs.
  * Bump Linux kernel ABI to 6.10.9 (Closes: #1071873).
  * Bump (temporary) linux-image build-deps accordingly.
  * Makefile: unversion /boot/vmlinuz-* into /boot/vmlinuz, except on
    mips64el (KERNELNAME lists a few version+flavour items).
  * Makefile: adjust the drm/fb-modules workaround for now-compressed
    modules.
  * Update translation-status for the release.

  [ harry88@gmx.ph ]
  * Add support for Orange Pi One Plus (Closes: #980493)

  [ Holger Wansing ]
  * Update minimal RAM size value for amd64, according to lowmem value.
  * d-i i18n guide: remove win32-loader from the manual.

  [ Aurelien Jarno ]
  * Build riscv64 from the official archive.
  * Dot not include debian-ports-archive-keyring-udeb on riscv64.
  * Add a device-tree target for riscv64.
  * Switch the riscv64 netboot flavour to grub.efi.
  * Build a mini.iso in the riscv64 netboot flavour.
  * Update riscv64 netboot package list.
  * Add a cdrom flavour for riscv64.
  * Drop kfreebsd support.

  [ John Paul Adrian Glaubitz ]
  * alpha: Remove $(KERNELVERSION) suffix from KERNELNAME
  * hppa: Rewrite configuration to support sub-architectures
  * m68k: Remove $(KERNELVERSION) suffix from KERNELNAME
  * loong64: Add support for loong64 (Closes: #1057713)

  [ Samuel Thibault ]
  * Add hurd-amd64 support.

  [ Colin Watson ]
  * Clarify that partman-auto-recipe.txt is written using BNF.

  [ Helmut Grohne ]
  * extend merge-usr tool to cover base-files functionality

  [ Steve McIntyre ]
  * i386 is no longer supported for Secure Boot.
    + Disable SB in i386.cfg
    + Remove Build-Depends on shim-signed and grub-efi-ia32-signed
      there

 -- Cyril Brulebois <kibi@debian.org>  Sat, 14 Sep 2024 00:49:08 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,11 @@
 Source: debian-installer
 Section: devel
 Priority: optional
-Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
-Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
+Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Uploaders: Cyril Brulebois <kibi@debian.org>
 Standards-Version: 4.3.0
+Vcs-Git: https://salsa.debian.org/installer-team/debian-installer.git
+Vcs-Browser: https://salsa.debian.org/installer-team/debian-installer
 Build-Depends:
 # Base build dependencies:
 	debhelper (>= 11),
@@ -49,7 +51,7 @@
 	genromfs [sparc sparc64],
 #		Used for creating sparc floppies (which are not built by
 #		default.)
-	dosfstools [hurd-i386 i386 ia64 m68k amd64 armhf arm64],
+	dosfstools [hurd-i386 hurd-amd64 i386 ia64 loong64 m68k amd64 armhf arm64 riscv64],
 #		For creating FAT filesystems with mkfs.msdos.
 #		Of course i386/amd64 use this for floppies, CDs etc.
 #		m68k uses it for atari floppies
@@ -98,16 +100,18 @@
 	emile [m68k],
 	emile-bootblocks [m68k],
 #		Bootloader for m68k/mac machines.
-	shim-unsigned [amd64 i386 arm64],
-	grub-efi-amd64 [amd64],
-	grub-efi-ia32 [i386],
-	grub-efi-arm64 [arm64],
-#	        Unigned bootloader components (Parrot does not support secure boot)
+	shim-signed [amd64 arm64],
+	grub-efi-amd64-signed [amd64],
+	grub-efi-arm64-signed [arm64],
+#	        Signed bootloader components for UEFI Secure Boot
+	grub-efi-amd64-bin [hurd-amd64],
 	grub-efi-arm64-bin [arm64],
 	grub-efi-ia32-bin [hurd-i386 i386],
 	grub-efi-ia64-bin [ia64],
+	grub-efi-loong64-bin [loong64],
 	grub-efi-arm-bin [armhf],
-	grub-common [amd64 arm64 i386], xorriso,
+	grub-efi-riscv64-bin [riscv64],
+	grub-common [amd64 arm64 i386 loong64 riscv64], xorriso,
 #		Used to make EFI bootable images
 	grub-ieee1275-bin [powerpc ppc64 ppc64el sparc sparc64],
 #		IEEE1275 bootloader support.
@@ -126,10 +130,10 @@
 #		U-boot binaries for armel systems
 #
 # Architecture specific build dependencies:
-	tofrodos [i386 amd64 kfreebsd-i386 kfreebsd-amd64],
+	tofrodos [i386 amd64],
 #		For todos, used on files that need to be accessible from
 #		DOS.
-	mtools [i386 ia64 m68k amd64 armhf arm64 kfreebsd-i386 kfreebsd-amd64 hurd-i386],
+	mtools [i386 ia64 loong64 m68k amd64 armhf arm64 riscv64 hurd-i386 hurd-amd64],
 #		mcopy is used to put files onto FAT filesystems w/o
 #		mounting them. Note that patches from #900409 and #900410
 #		are required for a reproducible build (available since
@@ -145,31 +149,28 @@
 #		Used to encrypt a firmware image so an ARM based device
 #		(Thecus N2100) will accept it. Also useful on other
 #		architectures if SSL_CERTS has been set locally.
-	win32-loader (>= 0.7.2) [i386 amd64 kfreebsd-i386 kfreebsd-amd64 hurd-i386],
+	win32-loader (>= 0.7.2) [i386 amd64 hurd-i386 hurd-amd64],
 #		Alternative boot method for win32 platforms.
-	makefs (>= 20100306-5+kbsd8u1~) [kfreebsd-any],
-#		Used to create an UFS1 filesystem from a directory tree.
-	grub-pc (>= 2.02~beta2~) [kfreebsd-i386 kfreebsd-amd64 hurd-i386],
+	grub-pc (>= 2.02~beta2~) [hurd-i386 hurd-amd64],
 #		Used as the CD-ROM's bootloader
-	xorriso (>= 1.3.2-1~) [kfreebsd-i386 kfreebsd-amd64 hurd-i386],
+	xorriso (>= 1.3.2-1~) [hurd-i386 hurd-amd64],
 #               Used by grub-pc to create the CD-ROM images
-	debian-ports-archive-keyring [alpha hppa ia64 m68k powerpc powerpcspe ppc64 riscv64 sh4 sparc64 x32],
+	debian-ports-archive-keyring [alpha hppa ia64 loong64 m68k powerpc powerpcspe ppc64 riscv64 sh4 sparc64 x32],
 #		Used for architectures hosted on debian-ports.org
 	librsvg2-bin [any-amd64 any-i386],
 #		Used to convert splash SVG to splash PNG during build
-	fdisk [amd64 arm64 armhf i386],
+	fdisk [amd64 arm64 armhf i386 loong64],
 #		sfdisk is used by util/gen-hd-image when creating SD card
 #		images for arm64 and armhf systems.
 #		fdisk is used is used by util/geniso_hybrid_plus_firmware_partition
 #		when creating ISO hybrid images on amd64 and i386 systems.
 	fontconfig,
 #		Used to generate a font cache through fc-cache, for gtk flavours
-	linux-image-amd64 [amd64],
-	linux-image-arm64 [arm64],
-	linux-image-686 [i386],
-	linux-image-686-pae [i386],
+	linux-image-6.10.9-amd64 [amd64],
+	linux-image-6.10.9-arm64 [arm64],
+	linux-image-6.10.9-686 [i386],
+	linux-image-6.10.9-686-pae [i386],
 #		Ship some more drm modules, without waiting on fb-modules (#1036019)
-	parrot-archive-keyring,
 
 Package: debian-installer
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 ARCH=$(shell dpkg-architecture -qDEB_HOST_ARCH)
 VERSION=$(shell LC_ALL=C dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
-DATE=$(shell echo $(VERSION) | cut -d '.' -f 1)
+DATE=$(firstword $(subst +~, ,$(subst ., ,$(VERSION))))
 SOURCE_DATE_EPOCH = $(shell date -d "$$(dpkg-parsechangelog -SDate)" +%s)
 SUITE=$(shell LC_ALL=C dpkg-parsechangelog | grep ^Distribution: | cut -d ' ' -f 2)
 
@@ -12,9 +12,9 @@
 TRANSSTATUS=
 BOOTMENU_BEEP=n
 else
-USE_UDEBS_FROM=lory
+USE_UDEBS_FROM=trixie
 USE_PROPOSED_UPDATES=0
-TRANSSTATUS=
+TRANSSTATUS=translation-status
 BOOTMENU_BEEP=y
 endif
 
@@ -25,6 +25,10 @@
 USE_UDEBS_FROM=unstable
 USE_PROPOSED_UPDATES=0
 endif
+
+# allow these aspects of the build to be overriden (see salsa-ci.yml)
+BUILD_TARGETS ?= all_build stats release
+ADDITIONAL_BUILD_PRODUCT ?= tarball
 
 ARCHIVEDIR=debian/tmp/installer-$(ARCH)
 DESTDIR=$(ARCHIVEDIR)/$(DATE)
@@ -43,11 +47,20 @@
 
 # Must run as root, so is not run as part of regular build.
 build-images:
-	$(MAKE) -C build all_build stats release \
+	$(MAKE) -C build $(BUILD_TARGETS) \
 		USE_UDEBS_FROM=$(USE_UDEBS_FROM) BUILD_DATE=$(DATE) \
 		USE_PROPOSED_UPDATES=$(USE_PROPOSED_UPDATES) \
 		USE_UNRELEASED=$(USE_UNRELEASED) \
+		PRESEED=$(PRESEED) \
+		$(addprefix LINUX_KERNEL_ABI=,$(LINUX_KERNEL_ABI)) \
 		TRANSSTATUS=$(TRANSSTATUS) BOOTMENU_BEEP=$(BOOTMENU_BEEP)
+
+publish-tarball:
+	./build/util/gen-tarball debian/tmp ../$(TARNAME)
+	dpkg-distaddfile $(TARNAME) raw-installer -
+
+publish-miniiso:
+	cp ./build/tmp/netboot-gtk/mini.iso ../debian-$(VERSION)-$(ARCH)-gtkmini.iso
 
 build: build-arch build-indep
 build-arch: build-stamp
@@ -85,8 +98,8 @@
 	dh_gencontrol
 	dh_md5sums
 	dh_builddeb
-	./build/util/gen-tarball debian/tmp ../$(TARNAME)
-	dpkg-distaddfile $(TARNAME) raw-installer -
+
+	debian/rules publish-$(ADDITIONAL_BUILD_PRODUCT)
 
 binary-indep:
